/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.util.task.valueobject;

/**
 * 処理クラス [BlancoXliffUtilMergeProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoXliffUtilMergeProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * 入出力対象の XLIFF (*.xlf) ファイル(左辺)が含まれるディレクトリ。こちらを基準に処理します。変更は こちらの XLIFF のみに実施されます。
     *
     * フィールド: [targetdir]。
     */
    private String fTargetdir;

    /**
     * 入力対象の XLIFF (*.xlf) ファイル(右辺)が含まれるディレクトリ。左辺に存在しない trans-unit (Babel URI) は無視します。sourcefileと排他利用。
     *
     * フィールド: [sourcedir]。
     */
    private String fSourcedir;

    /**
     * 入力対象の XLIFF (*.xlf) ファイル(右辺)。左辺に存在しない trans-unit (Babel URI) は無視します。sourcedirと排他利用。
     *
     * フィールド: [sourcefile]。
     */
    private String fSourcefile;

    /**
     * マージを実施した際に利用する tool-id。nlpack や pleiades などを指定します。alt-trans で利用されます。
     *
     * フィールド: [toolid]。
     */
    private String fToolid;

    /**
     * trans-unit の target について、値をセットするかどうか。なお、基本的に source 文字列が一致することが大前提となります。
     *
     * フィールド: [settarget]。
     * デフォルト: [false]。
     */
    private boolean fSettarget = false;

    /**
     * trans-unit の target について、存在の有無にかかわらず値をセットするかどうか。翻訳物の優先順位が存在する場合のマージにおいてのみセットされます。
     *
     * フィールド: [settargetoverwrite]。
     * デフォルト: [false]。
     */
    private boolean fSettargetoverwrite = false;

    /**
     * セットした target の内容を alt-trans にセットするかどうか。
     *
     * フィールド: [setalttrans]。
     * デフォルト: [false]。
     */
    private boolean fSetalttrans = false;

    /**
     * 入力元の alt-trans を 出力先の alt-trans にセットするかどうか。
     *
     * フィールド: [copyalttrans]。
     * デフォルト: [false]。
     */
    private boolean fCopyalttrans = false;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [targetdir] の値を設定します。
     *
     * フィールドの説明: [入出力対象の XLIFF (*.xlf) ファイル(左辺)が含まれるディレクトリ。こちらを基準に処理します。変更は こちらの XLIFF のみに実施されます。]。
     *
     * @param argTargetdir フィールド[targetdir]に設定する値。
     */
    public void setTargetdir(final String argTargetdir) {
        fTargetdir = argTargetdir;
    }

    /**
     * フィールド [targetdir] の値を取得します。
     *
     * フィールドの説明: [入出力対象の XLIFF (*.xlf) ファイル(左辺)が含まれるディレクトリ。こちらを基準に処理します。変更は こちらの XLIFF のみに実施されます。]。
     *
     * @return フィールド[targetdir]から取得した値。
     */
    public String getTargetdir() {
        return fTargetdir;
    }

    /**
     * フィールド [sourcedir] の値を設定します。
     *
     * フィールドの説明: [入力対象の XLIFF (*.xlf) ファイル(右辺)が含まれるディレクトリ。左辺に存在しない trans-unit (Babel URI) は無視します。sourcefileと排他利用。]。
     *
     * @param argSourcedir フィールド[sourcedir]に設定する値。
     */
    public void setSourcedir(final String argSourcedir) {
        fSourcedir = argSourcedir;
    }

    /**
     * フィールド [sourcedir] の値を取得します。
     *
     * フィールドの説明: [入力対象の XLIFF (*.xlf) ファイル(右辺)が含まれるディレクトリ。左辺に存在しない trans-unit (Babel URI) は無視します。sourcefileと排他利用。]。
     *
     * @return フィールド[sourcedir]から取得した値。
     */
    public String getSourcedir() {
        return fSourcedir;
    }

    /**
     * フィールド [sourcefile] の値を設定します。
     *
     * フィールドの説明: [入力対象の XLIFF (*.xlf) ファイル(右辺)。左辺に存在しない trans-unit (Babel URI) は無視します。sourcedirと排他利用。]。
     *
     * @param argSourcefile フィールド[sourcefile]に設定する値。
     */
    public void setSourcefile(final String argSourcefile) {
        fSourcefile = argSourcefile;
    }

    /**
     * フィールド [sourcefile] の値を取得します。
     *
     * フィールドの説明: [入力対象の XLIFF (*.xlf) ファイル(右辺)。左辺に存在しない trans-unit (Babel URI) は無視します。sourcedirと排他利用。]。
     *
     * @return フィールド[sourcefile]から取得した値。
     */
    public String getSourcefile() {
        return fSourcefile;
    }

    /**
     * フィールド [toolid] の値を設定します。
     *
     * フィールドの説明: [マージを実施した際に利用する tool-id。nlpack や pleiades などを指定します。alt-trans で利用されます。]。
     *
     * @param argToolid フィールド[toolid]に設定する値。
     */
    public void setToolid(final String argToolid) {
        fToolid = argToolid;
    }

    /**
     * フィールド [toolid] の値を取得します。
     *
     * フィールドの説明: [マージを実施した際に利用する tool-id。nlpack や pleiades などを指定します。alt-trans で利用されます。]。
     *
     * @return フィールド[toolid]から取得した値。
     */
    public String getToolid() {
        return fToolid;
    }

    /**
     * フィールド [settarget] の値を設定します。
     *
     * フィールドの説明: [trans-unit の target について、値をセットするかどうか。なお、基本的に source 文字列が一致することが大前提となります。]。
     *
     * @param argSettarget フィールド[settarget]に設定する値。
     */
    public void setSettarget(final boolean argSettarget) {
        fSettarget = argSettarget;
    }

    /**
     * フィールド [settarget] の値を取得します。
     *
     * フィールドの説明: [trans-unit の target について、値をセットするかどうか。なお、基本的に source 文字列が一致することが大前提となります。]。
     * デフォルト: [false]。
     *
     * @return フィールド[settarget]から取得した値。
     */
    public boolean getSettarget() {
        return fSettarget;
    }

    /**
     * フィールド [settargetoverwrite] の値を設定します。
     *
     * フィールドの説明: [trans-unit の target について、存在の有無にかかわらず値をセットするかどうか。翻訳物の優先順位が存在する場合のマージにおいてのみセットされます。]。
     *
     * @param argSettargetoverwrite フィールド[settargetoverwrite]に設定する値。
     */
    public void setSettargetoverwrite(final boolean argSettargetoverwrite) {
        fSettargetoverwrite = argSettargetoverwrite;
    }

    /**
     * フィールド [settargetoverwrite] の値を取得します。
     *
     * フィールドの説明: [trans-unit の target について、存在の有無にかかわらず値をセットするかどうか。翻訳物の優先順位が存在する場合のマージにおいてのみセットされます。]。
     * デフォルト: [false]。
     *
     * @return フィールド[settargetoverwrite]から取得した値。
     */
    public boolean getSettargetoverwrite() {
        return fSettargetoverwrite;
    }

    /**
     * フィールド [setalttrans] の値を設定します。
     *
     * フィールドの説明: [セットした target の内容を alt-trans にセットするかどうか。]。
     *
     * @param argSetalttrans フィールド[setalttrans]に設定する値。
     */
    public void setSetalttrans(final boolean argSetalttrans) {
        fSetalttrans = argSetalttrans;
    }

    /**
     * フィールド [setalttrans] の値を取得します。
     *
     * フィールドの説明: [セットした target の内容を alt-trans にセットするかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[setalttrans]から取得した値。
     */
    public boolean getSetalttrans() {
        return fSetalttrans;
    }

    /**
     * フィールド [copyalttrans] の値を設定します。
     *
     * フィールドの説明: [入力元の alt-trans を 出力先の alt-trans にセットするかどうか。]。
     *
     * @param argCopyalttrans フィールド[copyalttrans]に設定する値。
     */
    public void setCopyalttrans(final boolean argCopyalttrans) {
        fCopyalttrans = argCopyalttrans;
    }

    /**
     * フィールド [copyalttrans] の値を取得します。
     *
     * フィールドの説明: [入力元の alt-trans を 出力先の alt-trans にセットするかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[copyalttrans]から取得した値。
     */
    public boolean getCopyalttrans() {
        return fCopyalttrans;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.util.task.valueobject.BlancoXliffUtilMergeProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",targetdir=" + fTargetdir);
        buf.append(",sourcedir=" + fSourcedir);
        buf.append(",sourcefile=" + fSourcefile);
        buf.append(",toolid=" + fToolid);
        buf.append(",settarget=" + fSettarget);
        buf.append(",settargetoverwrite=" + fSettargetoverwrite);
        buf.append(",setalttrans=" + fSetalttrans);
        buf.append(",copyalttrans=" + fCopyalttrans);
        buf.append("]");
        return buf.toString();
    }
}
